#[derive(Debug)]
pub enum SocialvoidError {
    RawClient(socialvoid_rawclient::Error),
    Client(ClientError),
}

/// Errors generated by the client
#[derive(Debug)]
pub enum ClientError {
    /// Errors thrown by serde json
    SerdeJson(serde_json::Error),
}

impl From<socialvoid_rawclient::Error> for SocialvoidError {
    fn from(err: socialvoid_rawclient::Error) -> Self {
        SocialvoidError::RawClient(err)
    }
}

impl From<serde_json::Error> for SocialvoidError {
    fn from(err: serde_json::Error) -> Self {
        SocialvoidError::Client(ClientError::SerdeJson(err))
    }
}
